Get 30% Discount on Business Pack Order here Click Here
Pasang ap click on the icon in the top right of the address bar.

Projek

GET https://uptimer24.com/api/projects/
curl --request GET \
--url 'https://uptimer24.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Butiran Penerangan
search Pilihan Rentetan Rentetan carian.
search_by Pilihan Rentetan Apakah bidang yang anda cari. Nilai yang dibenarkan adalah: name.
datetime_field Pilihan Rentetan Nilai yang dibenarkan: datetime, last_datetime
datetime_start Pilihan Rentetan Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Pilihan Rentetan Filter results up to this datetime. Y-m-d H:i:s format.
order_by Pilihan Rentetan Medan apa untuk menyusun keputusan. Nilai yang dibenarkan adalah: project_id, datetime, last_datetime, name.
order_type Pilihan Rentetan Penentuan susunan keputusan. Nilai yang dibenarkan adalah: ASC untuk susunan menaik, dan DESC untuk susunan menurun.
page Pilihan Integer Nombor halaman yang anda mahu hasilkan. Lalai kepada 1.
results_per_page Pilihan Integer Berapa banyak hasil yang anda mahu setiap halaman. Nilai yang dibenarkan adalah: 10, 25, 50, 100, 250, 500, 1000. Lalai kepada 25.
{
    "data": [
        {
            "id": 1,
            "name": "Development",
            "color": "#0e23cc",
            "last_datetime": null,
            "datetime": "2026-07-19 04:03:43",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimer24.com/api/projects?page=1",
        "last": "https://uptimer24.com/api/projects?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimer24.com/api/projects?page=1"
    }
}
GET https://uptimer24.com/api/projects/{project_id}
curl --request GET \
--url 'https://uptimer24.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Development",
        "color": "#0e23cc",
        "last_datetime": null,
        "datetime": "2026-07-19 04:03:43",
    }
}
POST https://uptimer24.com/api/projects
Parameter Butiran Penerangan
name Diperlukan Rentetan -
color Pilihan Rentetan -
curl --request POST \
--url 'https://uptimer24.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
    "data": {
        "id": 1
    }
}
POST https://uptimer24.com/api/projects/{project_id}
Parameter Butiran Penerangan
name Pilihan Rentetan -
color Pilihan Rentetan -
curl --request POST \
--url 'https://uptimer24.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptimer24.com/api/projects/{project_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \